org.apache.hc.core5.http.message

## Class BasicLineFormatter

- java.lang.Object
- - org.apache.hc.core5.http.message.BasicLineFormatter

- All Implemented Interfaces:
    LineFormatter

      @Contract(threading=IMMUTABLE)
      public class BasicLineFormatter
      extends Object
      implements LineFormatter

  Default `LineFormatter` implementation.
  Since:
    4.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static BasicLineFormatter` | `INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicLineFormatter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `formatHeader(CharArrayBuffer buffer, Header header)` Formats a header.
    `void` | `formatRequestLine(CharArrayBuffer buffer, RequestLine reqline)` Formats a request line.
    `void` | `formatStatusLine(CharArrayBuffer buffer, StatusLine statusLine)` Formats a status line.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final BasicLineFormatter INSTANCE

  - ### Constructor Detail

    - #### BasicLineFormatter

          public BasicLineFormatter()

  - ### Method Detail

    - #### formatRequestLine

          public void formatRequestLine(CharArrayBuffer buffer,
                                        RequestLine reqline)

      Description copied from interface: `LineFormatter`
      Formats a request line.
      Specified by:
        `formatRequestLine` in interface `LineFormatter`
      Parameters:
        `buffer` - buffer to write formatted content to.
        `reqline` - the request line to format

    - #### formatStatusLine

          public void formatStatusLine(CharArrayBuffer buffer,
                                       StatusLine statusLine)

      Description copied from interface: `LineFormatter`
      Formats a status line.
      Specified by:
        `formatStatusLine` in interface `LineFormatter`
      Parameters:
        `buffer` - buffer to write formatted content to.
        `statusLine` - the status line to format

    - #### formatHeader

          public void formatHeader(CharArrayBuffer buffer,
                                   Header header)

      Description copied from interface: `LineFormatter`
      Formats a header.
      Specified by:
        `formatHeader` in interface `LineFormatter`
      Parameters:
        `buffer` - buffer to write formatted content to.
        `header` - the header to format

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.